Subject: eudev: postinst fails when kvm group present

From: Meeuwissen Olaf <[email-masked]>
Date: Mon, 15 Feb 2021 00:58:27 +0000

Package: eudev
Version: 3.2.9-8~beowulf1
Severity: normal

Dear Maintainer,

I just upgraded a number of packages on a machine where I had
manually added a `kvm` group.  This caused the postinst script
to fail with

  The group `kvm' already exists and is not a system group. Exiting.

leaving `eudev` unconfigured.

I don't know if the `kvm` *must* be a system group but things 
have been working fine for me with a non-system group.  As long as
a non-system `kvm` group exists, configuring `eudev` will fail.
This is easily confirmed with

  $ sudo dpkg-reconfigure eudev
  The group `kvm' already exists and is not a system group. Exiting.

Changing the group to a system group fixes this behaviour.

I worked around the issue by appending `|| true` in the postscript
to the `adduser` command that tries to create the system group.

If the `kvm` group does not have to be a system group, I would expect
configuration to succeed if a non-system `kvm` group is present.

-- Package-specific info:

-- System Information:
Architecture: x86_64

Kernel: Linux 4.19.0-14-amd64 (SMP w/4 CPU cores)
Kernel taint flags: TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE=C.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages eudev depends on:
ii  adduser      3.118
ii  debconf      1.5.71
ii  libblkid1    2.33.1-0.1+devuan1~beowulf2
ii  libc6        2.28-10
ii  libeudev1    3.2.9-8~beowulf1
ii  libkmod2     26-1
ii  libselinux1  2.8-1+b1
ii  lsb-base     10.2019051400
ii  procps       2:3.3.15-2+devuan1
ii  util-linux   2.33.1-0.1+devuan1~beowulf2

eudev recommends no packages.

eudev suggests no packages.

-- no debconf information